package logic

import (
	"context"

	"juwan-backend/app/users/rpc/internal/svc"
	"juwan-backend/app/users/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type AddUserPreferencesLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewAddUserPreferencesLogic(ctx context.Context, svcCtx *svc.ServiceContext) *AddUserPreferencesLogic {
	return &AddUserPreferencesLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// -----------------------userPreferences-----------------------
func (l *AddUserPreferencesLogic) AddUserPreferences(in *pb.AddUserPreferencesReq) (*pb.AddUserPreferencesResp, error) {
	// todo: add your logic here and delete this line

	return &pb.AddUserPreferencesResp{}, nil
}
